:root{
  --main: #78866b;
  --outline: #4d5d53;
  --secondary: #738678;
  --accentg: #8f9779;
  --accentb: #738276;
}

body {
  background: #f7d5f7 url("darkforest.jpg"); /*Replace with your own background*/
	background-size: cover;
	background-attachment: fixed;
  background-position:center;
	font-family: "VT-100", fixedsys, System, monospace;
	font-size: 13px;
	cursor: url("/buttons/fairynoback.png"), auto;
	scroll-behavior: smooth;
	scrollbar-width: none;
  }
  
center {
  text-align: center;
  }
  
a {
  color: #3c5832;
  }




/*All sidebars go in here.*/  
.sidebar-group {
  position: fixed;
  top: 0;
  margin-top: 25px;
  }

.mirror-sidebar-group {
  position: fixed;
  top: 0;
  margin-top: 25px;
  margin-left: 880px;
}

.mirror-sidebar {
  width: 160px;
  margin-left: 10px;
}

.mirror-mini-sidebar {
  margin-bottom: 25px;
}

.mirror-sidebar-box {
  width: 160px;
  display: inline-block;
  vertical-align: top;
}

.mirror-sidebar-group img {
  max-width: 160px;
  height: auto;
}
  
/*Code shared by all window-style boxes. To see what different specific sidebar classes look like, check the demo page.*/
.sidebar, .mini-sidebar, .wide-sidebar, .box, .mirror-sidebar, .mirror-mini-sidebar, .mirror-wide-sidebar {
  background: var(--main);
  border-radius: 5px;
  border: 1px solid var(--outline);
  box-shadow: 2px 2px var(--secondary);
  }
  
/*Prevent image overflow.*/
.sidebar img, .mini-sidebar img, .wide-sidebar img, .box img, .mirror-sidebar img, .mirror-mini-sidebar img, .mirror-wide-sidebar img {
  max-width: 100%;
  height:auto; /*Prevent squishing*/
  }
  
.sidebar, .sidebar-box, .mirror-sidebar, .mirror-sidebar-box {
  display: inline-block;
  vertical-align: top;
  width: 160px;
  }
  
/*Container for vertical stacks of multiple mini-sidebars*/
.sidebar-box {
  margin-left: 10px;
  }
  
.sidebar {
  width: 160px;
  margin-left: 25px;
  }
  
.mini-sidebar {
  margin-bottom: 25px;
  }
  
.wide-sidebar {
  margin-left: 25px;
  width: 340px;
  min-height: 150px;
  margin-top: 15px;
  }

/*accommodates cases where the wide sidebar is at the top*/
.wide-sidebar[role="top"] {
  vertical-align: top;
}
  
/*Inside/main text of window boxes.*/
.inner {
  padding: 10px;
  padding-bottom: 5px;
  padding-top: 10px;
  }

/*The title bar at the top of window boxes.*/
.title-bar, .box-title-bar {
  background: var(--outline);
  color: white;
  font-weight: bold;
  padding: 5px;
  padding-top: 3px;
  padding-bottom: 3px;
  }
  
/*The title bar of boxes has slightly more padding, since there's more room to space text.*/
.box-title-bar {
  padding: 7px;
  padding-top: 5px;
  padding-bottom: 5px;
  }
  
/*For the symbol in the top right corner.*/
.right {
  float: right;
  margin-right: 5px;
  font-family: "Arial", sans-serif;
  line-height: 12px;
  }
  
/*Round circular image.*/
.icon {
  border: #80aa6f solid 2px;
  border-radius: 50%;
  }
  
/*Main body text boxes.*/
.box {
  margin-top: 25px;
  margin-left: 400px;
  width: 455px;
  margin-bottom: 25px;
  }
  
/*formatting links, graphics*/ 
.sidebar .buttons {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  row-gap: 5px;
}

.box .graphics .stamps, .graphics .buttons1, .graphic .buttons2, .graphics .blinkies {
  display: flex;
  flex-wrap: wrap;
  padding: 5px;
  row-gap: 5px;
  column-gap: 5px;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
}

.stamps img {
  height: 56px;
  width: 99px;
}

.buttons1 img{
  height: 15px;
  width: 80px;
} 

.buttons2 img{
  height: 31px;
  width: 88px;
}

.blinkies img{
  height: 20px;
  width: 150px;
}

.box .webrings{
  display: grid;
  place-items: center;
  padding: 5px 10px;

}

/*for the #archives*/
section.archive .inner {
  display: grid;
  place-items: center;
  row-gap: 15px
}

section.archive .inner iframe {
  width: 75%;
}

.inner[role="ggg"] {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  padding: 5px;
  padding-top: 10px;
}

.inner[role="ggg"] img{
  max-width: 150px;
  height: auto;
}

.wide-sidebar[name="graphics"] {
  max-height: calc(100vh - 20px);
  overflow-y: auto;
}



/*these are so i don't break the pages that i haven't updated yet or i'm too lazy to update*/
section.other{
  width: 60%;
  display: grid;
	margin: auto;
	gap: 10px;
	grid-template:
	"header header"
	"main main"
	"footer footer";
	scrollbar-gutter: auto;
}

main { grid-area: main; background-color: var(--main);
		border: 2px solid var(--outline);
  	border-radius: 5px;
		text-align: center;
		height: 775px;
		overflow-y: auto;
		scrollbar-width: none;
		padding: 15px;
}

header { grid-area: header;
		background-color: var(--secondary);
		border: 2px solid var(--outline);
		text-align: center;
  	border-radius: 5px;}
  	
.gallerytext{
  position: sticky;
}

.gallerycontainer{
  display: flex;
  flex-wrap: wrap;
}

.gallerycontainer div {
  width: 25%;
  margin: 5px;
  border: 5px solid;
  box-sizing: border-box;
  width: calc(25% - 10px);
  position: relative;
}

.gallerycontainer div img {
  width: 100%;
  height: 100%;
  object-fit: cover;
 transition: transform 0.5s ease;
}

.gallerycontainer div:hover img{
  transform: scale(1.35);
}

.constructionimage{
  background-size: 75% 75%;
}